# Video Annotator

`video-annotator` is a Python package for annotating video frames, tracking objects, and cropping detected objects.

## Installation

You can install the package using pip:

```bash
pip install video-annotator

Usage

Here is an example of how to use the Video Annotator:

from video_annotator import VideoAnnotator, AdvancedVideoTracker

# Initialize the annotator
annotator = VideoAnnotator(model=your_model, box_colors=["#FF8C00", "#00BFFF"], label_colors=["#FF1493"], label_text_color="#000000")

# Annotate a frame
frame = your_video_frame
annotated_frame = annotator.annotate_frame(frame, confidence_threshold=0.3)

# Display the annotated frame
import supervision as sv
sv.plot_image(annotated_frame)

License

This project is licensed under the MIT License - see the LICENSE file for details.


### 4. **Membuat File `LICENSE`**
Pilih lisensi yang sesuai dengan tujuan Anda. Misalnya, jika Anda ingin kode ini digunakan secara bebas, pilih lisensi **MIT**.

**Isi `LICENSE`**:

```text
MIT License

Copyright (c) 2024 Your Name

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
